#
# spec file for package fdupes (Version 1.40)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           fdupes
Version:        1.50
Release:        9.108
Summary:        Identifying or deleting duplicate files
Url:            http://code.google.com/p/fdupes/
Group:          Productivity/Archiving/Compression
License:        MIT
Source0:        http://fdupes.googlecode.com/files/fdupes-1.50-PR2.tar.gz
Source1:        macros.fdupes
#PATCH-FIX-SUSE: fix patch according distro's needs
Patch0:         fdupes-makefile.patch
# I'v imported all patches from Debian (Fedora and Gentoo has the subset only)
# to git and added there as individual patches
# TODO: export the git repo or upstream it
#PATCH-FIX-DEBIAN: obsoletes partly the speedup patch
Patch1:         0001-restore-pristine-code.patch
#PATCH-FIX-DEBIAN: minor typo in man page
Patch2:         0002-Added-to-escape-minus-signs-in-manpage-lintian-warni.patch
#PATCH-FIX-DEBIAN: dtto
Patch3:         0003-Fix-a-typo-in-a-manpage-bts353789.patch
#PATCH-FIX-DEBIAN: support for large files
Patch4:         0004-Large-file-support-for-2GB-files-bts447601.patch
#PATCH-FIX-DEBIAN: manpage fix
Patch5:         0005-add-summarize-to-manpage-bts481809.patch
#PATCH-FIX-DEBIAN: dtto
Patch6:         0006-add-nohidden-support-bts511702.patch
#PATCH-FIX-DEBIAN: manpage fix
Patch7:         0007-Disambiguate-the-options-recurse-and-recurse-bts5371.patch
#PATCH-FIX-OPENSUSE: speedup the compare
Patch8:         0008-speedup-the-file-compare.patch
#PATCH-FIX-OPENSUSE: endianness check in md5.h
Patch9:         0009-glibc-endianness-check-in-md5.patch
#PATCH-FIX-OPENSUSE: -p/--permissions mode
Patch10:        0010-add-permissions-mode.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequires:  which
%endif

%description
FDUPES is a program for identifying or deleting duplicate files
residing within specified directories

%prep
%setup -q -n %name-%{version}-PR2
%patch0

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
echo -e "#!/bin/bash\n`which %__cc` \"\$@\"" >gcc
chmod 755 gcc
export PATH=`pwd`:$PATH
make %{?_smp_mflags}

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.%{name}

%files
%defattr(-, root, root)
%doc CHANGES
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config %{_sysconfdir}/rpm/macros.%{name}

%changelog
* Tue Oct 16 2012 mvyskocil@suse.com
- update to 1.5.0-PR2
  * new "--summarize" option
  * new  "--recurse:" selective recursion option
  * new "--noprompt" option for totally automated deletion of
  duplicate files.
  * sorts duplicates (old to new) for consistent order when
  listing or deleteing duplicate files.
  * tests for early matching of files, which should help speed up
  the matching process when large files are involved.
  * warns whenever a file cannot be deleted.
  * bugfixes (proper file closing, zero-length files, ...)
- drop the fdupes-sort-output.diff (upstream uses mtime based)
- rename and rebase fdupes-speedup.patch to 0008-speedup-the-compare.patch
- rename and rebase fdupes-endianness.patch to
  0009-glibc-endianness-check-in-md5.patch
- add -p/--permissions switch so files with different permissions or uid/gid
  are not considered as duplicates (bnc#784670)
  * this mode is a default one for fdupes macro
  0010-add-permissions-mode.patch
- imported several fixes from Debian
  * 0001-restore-pristine-code.patch - some common code fixes, partly obsoletes
    speedup patch
  * manual page fixes
    0002-Added-to-escape-minus-signs-in-manpage-lintian-warni.patch
    0003-Fix-a-typo-in-a-manpage-bts353789.patch
    0005-add-summarize-to-manpage-bts481809.patch
    0006-add-nohidden-support-bts511702.patch
    0007-Disambiguate-the-options-recurse-and-recurse-bts5371.patch
  * 0004-Large-file-support-for-2GB-files-bts447601.patch - large file support
* Sun Mar 25 2012 behrisch@users.sf.net
- added "which" requirement for red hat distros
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Oct  5 2011 uli@suse.com
- cross-build workaround: fake gcc script to work around build
  system not honoring CC
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Mon Feb 15 2010 mvyskocil@suse.cz
- fix bnc#406825: speedup fdupes
  * fdupes-speedup.patch fixes some performance gaps in code
  * fdupes-endianness.patch speedups the built in md5 on little endian machines
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Jan 15 2009 coolo@suse.de
- sort the output of fdupes to make it deterministic
* Thu Sep  6 2007 mls@suse.de
- do not hardlink empty files in %%fdupes macro
* Wed Sep  5 2007 nadvornik@suse.cz
- support filenames with spaces in %%fdupes macro [#307727]
* Tue May 15 2007 coolo@suse.de
- add an RPM macro to make use of it in spec files
* Thu Nov 16 2006 dmueller@suse.de
- Initial package (1.40)
